Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename pretty-ms

# Tests disabled until 'ava' is packaged in Fedora
# See https://bugzilla.redhat.com/show_bug.cgi?id=1194923
%global enable_tests 0

Name:		nodejs-pretty-ms
Version:	2.1.0
Release:	alt1_7
Summary:	Convert milliseconds to a human readable string: 1337000000 a.. 15d 11h 23m 20s

License:	MIT
URL:		https://github.com/sindresorhus/pretty-ms
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Grab them from the upstream GitHub repo instead
Source1:	https://raw.githubusercontent.com/sindresorhus/pretty-ms/v%{version}/test.js


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(is-finite)
BuildRequires:	npm(parse-ms)
BuildRequires:	npm(plur)
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif
Source44: import.info

%description
Convert milliseconds to a human readable string: 1337000000 a.. 15d 11h 23m 20s


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%nodejs_fixdep plur

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_7
- new version

